Skip to main content
GET
Get outgoing messages count grouped by entity

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

Query Parameters

group_by
enum<string>
required

The entity to group outgoing message counts by.

Available options:
agent,
team,
inbox,
label
since
string

The timestamp from where report should start (Unix timestamp).

until
string

The timestamp from where report should stop (Unix timestamp).

Response

Success

id
number

The ID of the grouped entity (agent, team, inbox, or label).

name
string

The name of the grouped entity.

outgoing_messages_count
number

The total number of outgoing messages for this entity in the given time range.

Example: